## e-book-utils e-book-utils |

## Functions

gboolean | e_book_utils_get_recipient_certificates_sync ()

## Description

## Functions

### e_book_utils_get_recipient_certificates_sync ()

    gboolean
    e_book_utils_get_recipient_certificates_sync
                                   (ESourceRegistry *registry,
                                    const GSList *only_clients,
                                    guint32 flags,
                                    const GPtrArray *recipients,
                                    GSList **out_certificates,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously searches for `recipients` S/MIME or PGP certificates either in provided `only_clients` EBookClient, or, when `NULL`, in each found address book configured for auto-completion.

This function can be used within `camel_session_get_recipient_certificates_sync()` implementation.

#### Parameters

registry | an ESourceRegistry |
only_clients | optional GSList of the EBookClient objects to search for the certificates in, or `NULL`. | [element-type EBookClient][nullable]
flags | bit-or of CamelRecipientCertificateFlags. | [type Camel.RecipientCertificateFlags]
recipients | a GPtrArray of recipients' email addresses. | [element-type utf8]
out_certificates | a GSList of gathered certificates encoded in base64. | [element-type utf8][out]
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

`TRUE` when no fatal error occurred, `FALSE` otherwise.

Since: 3.30